package com.java2s.common;

import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.springframework.transaction.annotation.Transactional;

@Transactional
public class PersonDaoImpl {
  public void test() {
    Employee emp = new Employee();
    emp.setName("Tom");
    emp.setId(1);

    Phone ph = new Phone();
    ph.setEmployee(emp);
    ph.setNumber("1234567890");

    ParkingSpace ps = new ParkingSpace();
    ps.setEmployee(emp);
    ps.setLocation("Dept");
    
    emp.setParkingSpace(ps);
    emp.getPhones().add(ph);
    em.persist(emp);
    emp = em.find(Employee.class, 1);
    em.remove(emp);
    
  }

  @PersistenceContext
  private EntityManager em;
}
